vect_index Struct Reference

## Public Types

typedef std::vector< unsigned int > | buffer_type
typedef std::map< unsigned, buffer_type > | map_type

## Data Fields

map_type | idx_

## Detailed Description

Examples
  xsample01.cpp.

Definition at line 156 of file xsample01.cpp.

## Member Typedef Documentation

## buffer_type

typedef std::vector<unsigned int> vect_index::buffer_type

Examples
  xsample01.cpp.

Definition at line 158 of file xsample01.cpp.

## map_type

typedef std::map<unsigned, buffer_type> vect_index::map_type

Examples
  xsample01.cpp.

Definition at line 159 of file xsample01.cpp.

## Field Documentation

## idx_

map_type vect_index::idx_

Examples
  xsample01.cpp.

Definition at line 161 of file xsample01.cpp.

Referenced by convert_bv2vect(), and speed_test_vect_index().

The documentation for this struct was generated from the following file:

- xsample01.cpp